## json-c 0.11

=== Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






pkgdatadir = $(datadir)/json-c
pkgincludedir = $(includedir)/json-c
pkglibdir = $(libdir)/json-c
pkglibexecdir = $(libexecdir)/json-c
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i386-unknown-netbsdelf6.0.1
host_triplet = i386-unknown-netbsdelf6.0.1
DIST_COMMON = README $(am__configure_deps) $(libjson_cinclude_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.am.inc \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/json-c-uninstalled.pc.in $(srcdir)/json-c.pc.in \
	$(srcdir)/json.pc.in $(srcdir)/json_config.h.in \
	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
	config.guess config.sub depcomp install-sh ltmain.sh missing
am__append_1 = libjson.la
am__append_2 = json.pc
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h json_config.h
CONFIG_CLEAN_FILES = json.pc json-c.pc json-c-uninstalled.pc
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pkgconfigdir)" \
	"$(DESTDIR)$(libjson_cincludedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libjson_c_la_LIBADD =
am_libjson_c_la_OBJECTS = arraylist.lo debug.lo json_c_version.lo \
	json_object.lo json_object_iterator.lo json_tokener.lo \
	json_util.lo linkhash.lo printbuf.lo
libjson_c_la_OBJECTS = $(am_libjson_c_la_OBJECTS)
libjson_c_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libjson_c_la_LDFLAGS) $(LDFLAGS) -o $@
libjson_la_DEPENDENCIES =
libjson_la_SOURCES = libjson.c
libjson_la_OBJECTS = libjson.lo
libjson_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libjson_la_LDFLAGS) $(LDFLAGS) -o $@
am_libjson_la_rpath = -rpath $(libdir)
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libjson_c_la_SOURCES) libjson.c
DIST_SOURCES = $(libjson_c_la_SOURCES) libjson.c
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
DATA = $(pkgconfig_DATA)
HEADERS = $(libjson_cinclude_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/erh/json-c/json-c-0.11/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/erh/json-c/json-c-0.11/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/erh/json-c/json-c-0.11/missing --run autoconf
AUTOHEADER = ${SHELL} /home/erh/json-c/json-c-0.11/missing --run autoheader
AUTOMAKE = ${SHELL} /home/erh/json-c/json-c-0.11/missing --run automake-1.11
AWK = awk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/erh/json-c/json-c-0.11/missing --run makeinfo
MKDIR_P = ./install-sh -c -d
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = json-c
PACKAGE_BUGREPORT = json-c@googlegroups.com
PACKAGE_NAME = json-c
PACKAGE_STRING = json-c 0.11
PACKAGE_TARNAME = json-c
PACKAGE_URL = 
PACKAGE_VERSION = 0.11
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/ksh
STRIP = strip
VERSION = 0.11
abs_builddir = /home/erh/json-c/json-c-0.11
abs_srcdir = /home/erh/json-c/json-c-0.11
abs_top_builddir = /home/erh/json-c/json-c-0.11
abs_top_srcdir = /home/erh/json-c/json-c-0.11
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i386-unknown-netbsdelf6.0.1
build_alias = 
build_cpu = i386
build_os = netbsdelf6.0.1
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i386-unknown-netbsdelf6.0.1
host_alias = 
host_cpu = i386
host_os = netbsdelf6.0.1
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/erh/json-c/json-c-0.11/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = /bin/echo
mandir = ${datarootdir}/man
mkdir_p = $(top_builddir)/./install-sh -c -d
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/erh/json-c/jci11
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
AM_CFLAGS = -Wall -Werror -Wextra -Wwrite-strings -Wno-unused-parameter -std=gnu99 -D_GNU_SOURCE -D_REENTRANT
EXTRA_DIST = README.html README-WIN32.html config.h.win32 doc json-c.vcproj
SUBDIRS = . tests
lib_LTLIBRARIES = libjson-c.la $(am__append_1)
pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = json-c.pc $(am__append_2)
libjson_cincludedir = $(includedir)/json-c
libjson_cinclude_HEADERS = \
	arraylist.h \
	bits.h \
	debug.h \
	json.h \
	json_config.h \
	json_c_version.h \
	json_inttypes.h \
	json_object.h \
	json_object_iterator.h \
	json_object_private.h \
	json_tokener.h \
	json_util.h \
	linkhash.h \
	printbuf.h


#libjsonx_includedir = $(libdir)/json-c-0.11
#
#libjsonx_include_HEADERS = \
#	json_config.h
libjson_c_la_LDFLAGS = -version-info 2:1:0 -no-undefined
libjson_la_LDFLAGS = -version-info 1:0:1 -no-undefined -ljson-c

# Temporary libjson library.  This will be removed after one release.
libjson_la_LIBADD = -ljson-c
libjson_c_la_SOURCES = \
	arraylist.c \
	debug.c \
	json_c_version.c \
	json_object.c \
	json_object_iterator.c \
	json_tokener.c \
	json_util.c \
	linkhash.c \
	printbuf.c

ANDROID_CFLAGS = -I$(top_srcdir) -DHAVE_CONFIG_H
all: config.h json_config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.am.inc $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \

=== tests/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/json-c
pkgincludedir = $(includedir)/json-c
pkglibdir = $(libdir)/json-c
pkglibexecdir = $(libexecdir)/json-c
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i386-unknown-netbsdelf6.0.1
host_triplet = i386-unknown-netbsdelf6.0.1
DIST_COMMON = $(srcdir)/../Makefile.am.inc $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
check_PROGRAMS = test1$(EXEEXT) test1Formatted$(EXEEXT) test2$(EXEEXT) \
	test2Formatted$(EXEEXT) test4$(EXEEXT) \
	testReplaceExisting$(EXEEXT) test_parse_int64$(EXEEXT) \
	test_null$(EXEEXT) test_cast$(EXEEXT) test_parse$(EXEEXT) \
	test_locale$(EXEEXT) test_printbuf$(EXEEXT) \
	test_set_serializer$(EXEEXT)
subdir = tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h $(top_builddir)/json_config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
test1_SOURCES = test1.c
test1_OBJECTS = test1.$(OBJEXT)
test1_DEPENDENCIES = $(LIBJSON_LA)
am_test1Formatted_OBJECTS = test1Formatted-test1.$(OBJEXT) \
	test1Formatted-parse_flags.$(OBJEXT)
test1Formatted_OBJECTS = $(am_test1Formatted_OBJECTS)
test1Formatted_DEPENDENCIES = $(LIBJSON_LA)
test2_SOURCES = test2.c
test2_OBJECTS = test2.$(OBJEXT)
test2_DEPENDENCIES = $(LIBJSON_LA)
am_test2Formatted_OBJECTS = test2Formatted-test2.$(OBJEXT) \
	test2Formatted-parse_flags.$(OBJEXT)
test2Formatted_OBJECTS = $(am_test2Formatted_OBJECTS)
test2Formatted_DEPENDENCIES = $(LIBJSON_LA)
test4_SOURCES = test4.c
test4_OBJECTS = test4.$(OBJEXT)
test4_DEPENDENCIES = $(LIBJSON_LA)
testReplaceExisting_SOURCES = testReplaceExisting.c
testReplaceExisting_OBJECTS = testReplaceExisting.$(OBJEXT)
testReplaceExisting_DEPENDENCIES = $(LIBJSON_LA)
test_cast_SOURCES = test_cast.c
test_cast_OBJECTS = test_cast.$(OBJEXT)
test_cast_DEPENDENCIES = $(LIBJSON_LA)
test_locale_SOURCES = test_locale.c
test_locale_OBJECTS = test_locale.$(OBJEXT)
test_locale_DEPENDENCIES = $(LIBJSON_LA)
test_null_SOURCES = test_null.c
test_null_OBJECTS = test_null.$(OBJEXT)
test_null_DEPENDENCIES = $(LIBJSON_LA)
test_parse_SOURCES = test_parse.c
test_parse_OBJECTS = test_parse.$(OBJEXT)
test_parse_DEPENDENCIES = $(LIBJSON_LA)
test_parse_int64_SOURCES = test_parse_int64.c
test_parse_int64_OBJECTS = test_parse_int64.$(OBJEXT)
test_parse_int64_DEPENDENCIES = $(LIBJSON_LA)
test_printbuf_SOURCES = test_printbuf.c
test_printbuf_OBJECTS = test_printbuf.$(OBJEXT)
test_printbuf_DEPENDENCIES = $(LIBJSON_LA)
test_set_serializer_SOURCES = test_set_serializer.c
test_set_serializer_OBJECTS = test_set_serializer.$(OBJEXT)
test_set_serializer_DEPENDENCIES = $(LIBJSON_LA)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = test1.c $(test1Formatted_SOURCES) test2.c \
	$(test2Formatted_SOURCES) test4.c testReplaceExisting.c \
	test_cast.c test_locale.c test_null.c test_parse.c \
	test_parse_int64.c test_printbuf.c test_set_serializer.c
DIST_SOURCES = test1.c $(test1Formatted_SOURCES) test2.c \
	$(test2Formatted_SOURCES) test4.c testReplaceExisting.c \
	test_cast.c test_locale.c test_null.c test_parse.c \
	test_parse_int64.c test_printbuf.c test_set_serializer.c
ETAGS = etags
CTAGS = ctags
am__tty_colors = \
red=; grn=; lgn=; blu=; std=
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/erh/json-c/json-c-0.11/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/erh/json-c/json-c-0.11/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/erh/json-c/json-c-0.11/missing --run autoconf
AUTOHEADER = ${SHELL} /home/erh/json-c/json-c-0.11/missing --run autoheader
AUTOMAKE = ${SHELL} /home/erh/json-c/json-c-0.11/missing --run automake-1.11
AWK = awk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/erh/json-c/json-c-0.11/missing --run makeinfo
MKDIR_P = .././install-sh -c -d
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = json-c
PACKAGE_BUGREPORT = json-c@googlegroups.com
PACKAGE_NAME = json-c
PACKAGE_STRING = json-c 0.11
PACKAGE_TARNAME = json-c
PACKAGE_URL = 
PACKAGE_VERSION = 0.11
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/ksh
STRIP = strip
VERSION = 0.11
abs_builddir = /home/erh/json-c/json-c-0.11/tests
abs_srcdir = /home/erh/json-c/json-c-0.11/tests
abs_top_builddir = /home/erh/json-c/json-c-0.11
abs_top_srcdir = /home/erh/json-c/json-c-0.11
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i386-unknown-netbsdelf6.0.1
build_alias = 
build_cpu = i386
build_os = netbsdelf6.0.1
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i386-unknown-netbsdelf6.0.1
host_alias = 
host_cpu = i386
host_os = netbsdelf6.0.1
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/erh/json-c/json-c-0.11/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = /bin/echo
mandir = ${datarootdir}/man
mkdir_p = $(top_builddir)/./install-sh -c -d
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/erh/json-c/jci11
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AM_CFLAGS = -Wall -Werror -Wextra -Wwrite-strings -Wno-unused-parameter -std=gnu99 -D_GNU_SOURCE -D_REENTRANT
LIBJSON_LA = $(top_builddir)/libjson-c.la
test1_LDADD = $(LIBJSON_LA)
test1Formatted_LDADD = $(LIBJSON_LA)
test1Formatted_SOURCES = test1.c parse_flags.c
test1Formatted_CPPFLAGS = -DTEST_FORMATTED
test2_LDADD = $(LIBJSON_LA)
test2Formatted_LDADD = $(LIBJSON_LA)
test2Formatted_SOURCES = test2.c parse_flags.c
test2Formatted_CPPFLAGS = -DTEST_FORMATTED
test4_LDADD = $(LIBJSON_LA)
testReplaceExisting_LDADD = $(LIBJSON_LA)
test_parse_int64_LDADD = $(LIBJSON_LA)
test_null_LDADD = $(LIBJSON_LA)
test_cast_LDADD = $(LIBJSON_LA)
test_parse_LDADD = $(LIBJSON_LA)
test_locale_LDADD = $(LIBJSON_LA)
TESTS = test1.test test2.test test4.test testReplaceExisting.test \
	parse_int64.test test_null.test test_cast.test test_parse.test \
	test_locale.test test_printbuf.test test_set_serializer.test
test_printbuf_LDADD = $(LIBJSON_LA)
test_set_serializer_LDADD = $(LIBJSON_LA)
EXTRA_DIST = $(TESTS)
testsubdir = testSubDir
TESTS_ENVIRONMENT = top_builddir=$(top_builddir)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/../Makefile.am.inc $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
test1$(EXEEXT): $(test1_OBJECTS) $(test1_DEPENDENCIES) 
	@rm -f test1$(EXEEXT)
	$(LINK) $(test1_OBJECTS) $(test1_LDADD) $(LIBS)
test1Formatted$(EXEEXT): $(test1Formatted_OBJECTS) $(test1Formatted_DEPENDENCIES) 
	@rm -f test1Formatted$(EXEEXT)
	$(LINK) $(test1Formatted_OBJECTS) $(test1Formatted_LDADD) $(LIBS)
test2$(EXEEXT): $(test2_OBJECTS) $(test2_DEPENDENCIES) 
	@rm -f test2$(EXEEXT)
	$(LINK) $(test2_OBJECTS) $(test2_LDADD) $(LIBS)
test2Formatted$(EXEEXT): $(test2Formatted_OBJECTS) $(test2Formatted_DEPENDENCIES) 
	@rm -f test2Formatted$(EXEEXT)
	$(LINK) $(test2Formatted_OBJECTS) $(test2Formatted_LDADD) $(LIBS)
test4$(EXEEXT): $(test4_OBJECTS) $(test4_DEPENDENCIES) 
	@rm -f test4$(EXEEXT)
	$(LINK) $(test4_OBJECTS) $(test4_LDADD) $(LIBS)
testReplaceExisting$(EXEEXT): $(testReplaceExisting_OBJECTS) $(testReplaceExisting_DEPENDENCIES) 
	@rm -f testReplaceExisting$(EXEEXT)
	$(LINK) $(testReplaceExisting_OBJECTS) $(testReplaceExisting_LDADD) $(LIBS)
test_cast$(EXEEXT): $(test_cast_OBJECTS) $(test_cast_DEPENDENCIES) 
	@rm -f test_cast$(EXEEXT)
	$(LINK) $(test_cast_OBJECTS) $(test_cast_LDADD) $(LIBS)
test_locale$(EXEEXT): $(test_locale_OBJECTS) $(test_locale_DEPENDENCIES) 
	@rm -f test_locale$(EXEEXT)
	$(LINK) $(test_locale_OBJECTS) $(test_locale_LDADD) $(LIBS)
test_null$(EXEEXT): $(test_null_OBJECTS) $(test_null_DEPENDENCIES) 
	@rm -f test_null$(EXEEXT)
	$(LINK) $(test_null_OBJECTS) $(test_null_LDADD) $(LIBS)
test_parse$(EXEEXT): $(test_parse_OBJECTS) $(test_parse_DEPENDENCIES) 
	@rm -f test_parse$(EXEEXT)
	$(LINK) $(test_parse_OBJECTS) $(test_parse_LDADD) $(LIBS)

## json-c 0.9

=== debian/changelog ===
json-c (0.9-1) unstable; urgency=low

  * Initial release (Closes: #557788)

 -- fabien boucher <fabien.dot.boucher@gmail.com>  Wed, 11 Nov 2009 16:34:13 +0100

=== debian/control ===
Source: json-c
Priority: extra
Maintainer: fabien boucher <fabien.dot.boucher@gmail.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.3
Section: libs
Homepage: http://oss.metaparadigm.com/json-c/

Package: libjson0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: JSON manipulation library - shared library
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.

Package: libjson0-dev
Section: libdevel
Architecture: any
Depends: libjson0 (= ${binary:Version}), ${misc:Depends}
Description: JSON manipulation library - development files
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.
 .
 The development headers for compiling programs that use libjson-c
 are provided by this package.

Package: libjson0-dbg
Section: debug
Architecture: any
Depends: libjson0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: JSON manipulation library - debug symbols
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.
 .
 The debugging symbols for tracking down bugs in applications
 that use libjson-c are provided by this package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

override_dh_strip:
	dh_strip --dbg-package=libjson0-dbg

%:
	dh  $@

=== debian/watch ===
version=3
http://oss.metaparadigm.com/json-c/ json-c-(.*)\.tar\.gz

## json-c 0.10

=== debian/changelog ===
json-c (0.10-1.2) unstable; urgency=medium

  * Medium-urgency upload for RC bugfix.
  * Non-maintainer upload, with approval of the maintainer.
  * Install libjson to /lib instead of /usr/lib, since upstart 1.6 needs it.
    Closes: #695566.

 -- Steve Langasek <vorlon@debian.org>  Fri, 14 Dec 2012 16:28:07 -0800

json-c (0.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include the missing json_object_iterator.h header in
    libjson0-dev. (Closes: #685714)

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 27 Aug 2012 12:56:32 +0200

json-c (0.10-1) unstable; urgency=low

  * New upstream release (Closes: #684058)
  * Change watch file to target on github json-c repository.
  * Add patch fixing compilation warning in tests/test_printbuf.c.
  * Update to standards-version 3.9.3.0.
  * Update copyright information.

 -- fabien boucher <fabien.dot.boucher@gmail.com>  Fri, 17 Aug 2012 16:40:10 +0000

json-c (0.9-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Build for multiarch, closes: #637621
   (Patch from Steve Langasek)

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 18 May 2012 17:21:25 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: json-c
 Priority: extra
 Maintainer: fabien boucher <fabien.dot.boucher@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 9), dh-exec
+Standards-Version: 3.9.3.0
 Section: libs
 Homepage: http://oss.metaparadigm.com/json-c/
 
 Package: libjson0
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: JSON manipulation library - shared library
  This library allows you to easily construct JSON objects in C,
@@ -17,6 +19,7 @@
 Package: libjson0-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libjson0 (= ${binary:Version}), ${misc:Depends}
 Description: JSON manipulation library - development files
  This library allows you to easily construct JSON objects in C,
@@ -29,6 +32,7 @@
 Package: libjson0-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: libjson0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: JSON manipulation library - debug symbols
  This library allows you to easily construct JSON objects in C,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_clean:
	if test -e Makefile; then \
	    make clean; \
            for f in Makefile config.h config.log config.status \
                     json.pc json_config.h libtool stamp-h1 stamp-h2 \
                     tests/Makefile; do \
	        rm -f $$f; \
            done; \
	fi; \
	if test -d tests/testSubDir; then \
	    rm -R tests/testSubDir; \
	fi

override_dh_auto_install:
	dh_auto_install
	# we install libjson into /lib, so fix the link
	T=$$(readlink debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson.so); \
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson.so; \
	ln -s /lib/$(DEB_HOST_MULTIARCH)/$$(basename $$T) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson.so

override_dh_strip:
	dh_strip --dbg-package=libjson0-dbg

%:
	dh  $@

=== debian/watch ===
version=3
https://github.com/json-c/json-c/tags .*/tarball/json-c-(.*)-\d+$

## json-c 0.11

=== debian/changelog ===
json-c (0.11-3ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - On upgrade, restart Upstart (to pick up new package version) if the
      running instance supports it.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:56:14 +0100

json-c (0.11-3) unstable; urgency=low

  * Repository is not at anonscam.debian.org :)
  * Merge git changes from 0.11 and not-yet-merged pull request #94 needed
    for new php5-json

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 Aug 2013 12:37:59 +0200

json-c (0.11-2ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Use dh-autoreconf to update config.guess/config.sub.
    - On upgrade, restart Upstart (to pick up new package version) if the
      running instance supports it.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 09:54:14 +0100

json-c (0.11-2) unstable; urgency=low

  * Fix compat symlinks in libjson0 and libjson0-dev

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Jun 2013 20:05:57 +0200

json-c (0.11-1) unstable; urgency=low

  * Imported Upstream version 0.11
  * Transition from libjson to libjson-c reflecting upstream library name
    change
  * Add very thin symlink-based compatibility layer from libjson.so.0 to
    libjson-c.so.2
  * Remove debian/patches/fix-format-string-in-test.patch; merged upstream
  * Move documentation to SONAME agnostic package libjson-c-doc
  * Rename dbg symbols package to libjson-c2-dbg
  * Update watch file (Closes: #693518)
  * Update homepage location (Closes: #704918)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 May 2013 10:29:21 +0200

json-c (0.10-1.2ubuntu2) raring; urgency=low

  * debian/postinst: Force an upgrade to restart Upstart (to pick up
    new package version) if the running instance supports it.

 -- James Hunt <james.hunt@ubuntu.com>  Wed, 06 Feb 2013 16:26:16 +0000

json-c (0.10-1.2ubuntu1) raring; urgency=low

  * Add autoreconf to update config.sub,guess for aarch64 (LP: #1102043)

 -- Wookey <wookey@wookware.org>  Sun, 20 Jan 2013 04:21:12 +0000

=== debian/control ===
Source: json-c
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: fabien boucher <fabien.dot.boucher@gmail.com>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9), dh-exec, dh-autoreconf
Standards-Version: 3.9.3.0
Section: libs
Homepage: https://github.com/json-c/json-c/wiki
Vcs-Git: git://anonscm.debian.org/git/collab-maint/json-c
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/json-c.git;a=summary

Package: libjson-c2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: JSON manipulation library - shared library
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.

Package: libjson-c-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjson-c2 (= ${binary:Version}), ${misc:Depends}
Description: JSON manipulation library - development files
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.
 .
 The development headers for compiling programs that use libjson-c
 are provided by this package.

Package: libjson-c2-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: libjson-c2 (= ${binary:Version}), ${misc:Depends}
Description: JSON manipulation library - debug symbols
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.
 .
 The debugging symbols for tracking down bugs in applications
 that use libjson-c are provided by this package.

Package: libjson-c-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
	 libjs-jquery
Description: JSON manipulation library - documentation files
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.
 .
 The documentation for libjson-c is provided by this package.

Package: libjson0-dev
Section: oldlibs
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
	 libjson0 (= ${binary:Version}),
	 libjson-c-dev
Description: JSON manipulation library (transitional package)
 This is a transition package that can be safely removed once no
 package depend on it.

Package: libjson0
Section: oldlibs
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JSON manipulation library (transitional package)
 This is a transition package that can be safely removed once no
 package depend on it.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DPKG_GENSYMBOLS_CHECK_LEVEL ?= 4

override_dh_auto_clean:
	if test -e Makefile; then \
	    make clean; \
	    for f in Makefile config.h config.log config.status \
	             json.pc json_config.h libtool stamp-h1 stamp-h2 \
	             json-c.pc tests/Makefile; do \
                rm -f $$f; \
	done; \
	fi; \
	if test -d tests/testSubDir; then \
	    rm -R tests/testSubDir; \
	fi

override_dh_auto_install:
	dh_auto_install

	# we install libjson-c into /lib, so fix the link
	T=$$(readlink debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson-c.so); \
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson-c.so; \
	ln -s /lib/$(DEB_HOST_MULTIARCH)/$$(basename $$T) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson-c.so

	# add thin symlink compatibility layer for json.so
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson.*
	mkdir -p debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	ln -s /usr/lib/$(DEB_HOST_MULTIARCH)/libjson-c.so debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson.so
	ln -s /usr/lib/$(DEB_HOST_MULTIARCH)/libjson-c.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson.a
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libjson-c.so.2 debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libjson.so.0

	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/json.pc
	ln -s json-c.pc debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/json.pc

override_dh_strip:
	dh_strip --dbg-package=libjson-c2-dbg

override_dh_installdocs:
	dh_installdocs -plibjson0-dev --link-doc=libjson-c-dev
	dh_installdocs -plibjson0 --link-doc=libjson-c2
	dh_installdocs --remaining-packages -Xjquery.js

override_dh_install:
	dh_install --fail-missing -Xlibjson.la -Xlibjson-c.la

%:
	dh  $@ --with autoreconf

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://s3.amazonaws.com/json-c_releases/releases/index.html .*/json-c-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 13:01:18 +0000

## json-c 0.12

=== debian/changelog ===
json-c (0.12-1) jessie; urgency=medium

  * New upstream: 20160331

 -- Romain Acciari <romain.acciari@openio.io>  Thu, 31 Mar 2016 18:34:15 +0000

json-c (0.11-4) unstable; urgency=low

  * Add upstream patch to fix two security vulnerabilitiesa (Closes: #744008)
    + [CVE-2013-6371]: hash collision denial of service
    + [CVE-2013-6370]: buffer overflow if size_t is larger than int

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Apr 2014 12:02:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,14 +26,14 @@
 	ln -s /lib/$(DEB_HOST_MULTIARCH)/$$(basename $$T) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson-c.so
 
 	# add thin symlink compatibility layer for json.so
-	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson.*
+	#rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson.*
 	mkdir -p debian/tmp/lib/$(DEB_HOST_MULTIARCH)
 	ln -s /usr/lib/$(DEB_HOST_MULTIARCH)/libjson-c.so debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson.so
 	ln -s /usr/lib/$(DEB_HOST_MULTIARCH)/libjson-c.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson.a
 	ln -s /lib/$(DEB_HOST_MULTIARCH)/libjson-c.so.2 debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libjson.so.0
 
-	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/json.pc
-	ln -s json-c.pc debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/json.pc
+	#rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/json.pc
+	#ln -s json-c.pc debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/json.pc
 
 override_dh_strip:
 	dh_strip --dbg-package=libjson-c2-dbg

## json-c 0.12.1

=== debian/changelog ===
json-c (0.12.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libjson-c3-udeb package for debian installer. Required as
    dependency for libcryptsetup12-udeb. (Closes: #880526)

 -- Jonas Meurer <jonas@freesources.org>  Sun, 07 Jan 2018 15:38:46 +0100

json-c (0.12.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with GCC 7 (Hilko Bengen). Closes: #853462.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Oct 2017 08:38:28 +0200

json-c (0.12.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Fix Vcs-Browser URL
  * debian/libjson-c-dev.links: Fix library symlinks to not collide between
    /lib/ and /usr/lib/ (Closes: #843145, LP: #1629552)

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 Nov 2016 11:33:17 +0100

json-c (0.12.1-1) unstable; urgency=medium

  * Imported Upstream version 0.12.1
  * Rebase patches on top of 0.12.1 release
  * Workaround the unused variables in tests

 -- Ondřej Surý <ondrej@debian.org>  Fri, 02 Sep 2016 10:28:57 +0200

json-c (0.12-3) unstable; urgency=medium

  * Fix the .so links in the -dev package (Closes: #821768)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Apr 2016 09:44:04 +0200

json-c (0.12-2) unstable; urgency=medium

  * Upload to unstable
  * wrap-and-sort -a debian/ directory

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Apr 2016 21:19:20 +0200

json-c (0.12-1) experimental; urgency=medium

  [ Andreas Beckmann ]
  * libjson-c-dev: Ship /usr/lib/<triplet>/libjson-c.so.2 symlink that would
    otherwise become a dangling link (initially created by ldconfig) after
    package removal.  (Closes: #792177)

  [ Ondřej Surý ]
  * New upstream version 0.12
    + [CVE-2013-6371]: hash collision denial of service
    + [CVE-2013-6370]: buffer overflow if size_t is larger than int
  * Remove all upstream-merged patches
  * Add patch to fix variable set but not used [-Werror=unused-but-set-variable]
  * Update libjson-c2 symbols file
    + The new upstream release misses two symbols, upload to experimental
      first if it poses any real problem or not.
  * Migrate to automatic dbgsym
  * Add autotools-dev dh addon
  * Bump standards to 3.9.7 (no change)
  * Bump SOVERSION as interfaces has been removed from 0.12 release
  * Library transition from libjson-c2 to libjson-c3 as interfaces has
    been removed

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Apr 2014 10:53:37 +0200

=== debian/control ===
Source: json-c
Priority: extra
Maintainer: fabien boucher <fabien.dot.boucher@gmail.com>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dh-exec
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/json-c/json-c/wiki
Vcs-Git: git://anonscm.debian.org/git/collab-maint/json-c
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/json-c.git

Package: libjson-c3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: JSON manipulation library - shared library
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.

Package: libjson-c-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjson-c3 (= ${binary:Version}),
         ${misc:Depends}
Description: JSON manipulation library - development files
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.
 .
 The development headers for compiling programs that use libjson-c
 are provided by this package.

Package: libjson-c-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         ${misc:Depends}
Description: JSON manipulation library - documentation files
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.
 .
 The documentation for libjson-c is provided by this package.

Package: libjson-c3-udeb
Section: debian-installer
Package-Type: udeb
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: JSON manipulation library - shared library (udeb)
 This library allows you to easily construct JSON objects in C,
 output them as JSON formatted strings and parse JSON formatted
 strings back into the C representation of JSON objects.
 .
 This udeb package provides libjson-c3 for the Debian Installer.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DPKG_GENSYMBOLS_CHECK_LEVEL ?= 4

override_dh_auto_clean:
	if test -e Makefile; then \
	    make clean; \
	    for f in Makefile config.h config.log config.status \
	             json.pc json_config.h libtool stamp-h1 stamp-h2 \
	             json-c.pc tests/Makefile; do \
                rm -f $$f; \
	done; \
	fi; \
	if test -d tests/testSubDir; then \
	    rm -R tests/testSubDir; \
	fi

override_dh_auto_install:
	dh_auto_install

	# we install libjson-c into /lib, so fix the link in a way understood by ldconfig
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libjson-c.so
	# new links are created by libjson-c-dev.links

override_dh_strip:
	dh_strip --dbgsym-migration='libjson-c2-dbg (<< 0.12-3)'

override_dh_installdocs:
	dh_installdocs -Xjquery.js

override_dh_install:
	dh_install --fail-missing -Xlibjson-c.la

%:
	dh  $@ --with autoreconf --with autotools-dev

override_dh_makeshlibs:
	dh_makeshlibs -V --add-udeb="libjson-c3-udeb"

## json-c 0.12.1+ds

=== debian/changelog ===
json-c (0.12.1+ds-2+deb10u1) buster-security; urgency=high

  * d/patches/611.patch: Add upstream patch to fix CVE-2020-12762

 -- Nicolas Mora <babelouest@debian.org>  Sat, 01 Aug 2020 09:26:41 -0400

json-c (0.12.1+ds-2) unstable; urgency=high

  * QA upload.
  * debian/rules: Use Rules-Requires-Root: no.
  * debian/doc-base: Rename doc-base file to correct one
    (libjson-c-doc.doc-base).
  * No longer install libraries into /lib/ directory. Bug #695566 is
    no longer relevant since upstart is not part of Debian anymore.

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Jan 2019 16:52:30 -0500

json-c (0.12.1+ds-1) unstable; urgency=medium

  * QA upload.
    + The "it's too late to initiate a transition" upload.

  [ Boyuan Yang ]
  * Remove doc/html/jquery.js file to generate a new +ds
    tarball.
  * debian/control:
    + Orphan package and set maintainer to Debian QA Group.
    + Declare compliance with debian-policy 4.3.0.
    + Update Vcs-* fields and use git repo in Salsa Debian Group.
    + Bump debhelper compat to v12.
    + Mark libjcon-c-doc as Multi-Arch: foreign.
    + Replace deprecated Priority: extra with Priority: optional.
    - Drop build-dependency dh-exec since it is not needed anymore.
  * debian/rules: Modernize packaging instructions:
    + Avoid direct invocation to dpkg-architecture.
    + Use "dh_missing --fail-missing" instead of
      "dh_install --fail-missing".
    + Remove unnecessary --with autoreconf --with autotools-dev
      spec for dh.
    + Enable full build time hardenings.
    - Remove unnecessary dbgsym migration override, already included
      in one stable Debian release.
    - Remove unnecessary override to dh_installdocs, jquery.js is not
      included in the repacked tarball.
  * debian/copyright: Use Expat instead of MIT for precise
    copyright information.
  * debian/dch.conf: Use new-style [dch] section instead of [git-dch].
  * debian/symbols: Add a Build-Depends-Package field.
  * debian/lintian-overrides:
    - Removed, not needed for now.

  [ Nicolas Braud-Santoni ]
  * Update debian/watch
  * Repackage to remove jquery.js

 -- Boyuan Yang <byang@debian.org>  Tue, 15 Jan 2019 16:38:55 -0500

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/default.mk

DPKG_GENSYMBOLS_CHECK_LEVEL ?= 4

override_dh_auto_clean:
	if test -e Makefile; then \
	    make clean; \
	    for f in Makefile config.h config.log config.status \
	             json.pc json_config.h libtool stamp-h1 stamp-h2 \
	             json-c.pc tests/Makefile; do \
                rm -f $$f; \
	done; \
	fi; \
	if test -d tests/testSubDir; then \
	    rm -R tests/testSubDir; \
	fi

override_dh_missing:
	dh_missing --fail-missing

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -V --add-udeb="libjson-c3-udeb"

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d+\.\d+(\.\d+)?)-\d+/$1/,\
dversionmangle=s/\+ds$//,repacksuffix=+ds \
https://github.com/json-c/json-c/releases .*/json-c-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Mon, 30 Apr 2018
# Boyuan Yang <byang@debian.org>  Tue, 15 Jan 2019
